> ## Documentation Index
> Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get conversation statistics grouped by agent

> Get conversation statistics grouped by agent for a given date range.
Returns metrics for each agent including conversation counts, resolution counts,
average first response time, average resolution time, and average reply time.




## OpenAPI

````yaml https://raw.githubusercontent.com/chatwoot/chatwoot/develop/swagger/tag_groups/application_swagger.json get /api/v2/accounts/{account_id}/summary_reports/agent
openapi: 3.1.0
info:
  title: Chatwoot
  description: This is the API documentation for Chatwoot server.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.chatwoot.com/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
paths:
  /api/v2/accounts/{account_id}/summary_reports/agent:
    parameters:
      - $ref: '#/components/parameters/account_id'
      - in: query
        name: since
        schema:
          type: string
        description: The timestamp from where report should start (Unix timestamp).
      - in: query
        name: until
        schema:
          type: string
        description: The timestamp from where report should stop (Unix timestamp).
      - in: query
        name: business_hours
        schema:
          type: boolean
        description: Whether to calculate metrics using business hours only.
    get:
      tags:
        - Reports
      summary: Get conversation statistics grouped by agent
      description: >
        Get conversation statistics grouped by agent for a given date range.

        Returns metrics for each agent including conversation counts, resolution
        counts,

        average first response time, average resolution time, and average reply
        time.
      operationId: get-agent-summary-report
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/agent_summary'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    agent_summary:
      type: array
      description: >-
        Agent summary report containing conversation statistics grouped by
        agent.
      items:
        type: object
        properties:
          id:
            type: number
            description: The agent (user) ID
          conversations_count:
            type: number
            description: >-
              Number of conversations assigned to the agent during the date
              range
          resolved_conversations_count:
            type: number
            description: >-
              Number of conversations resolved by the agent during the date
              range
          avg_resolution_time:
            type:
              - number
              - 'null'
            description: >-
              Average time (in seconds) to resolve conversations. Null if no
              data available.
          avg_first_response_time:
            type:
              - number
              - 'null'
            description: >-
              Average time (in seconds) for the first response. Null if no data
              available.
          avg_reply_time:
            type:
              - number
              - 'null'
            description: >-
              Average time (in seconds) between replies. Null if no data
              available.
      example:
        - id: 1
          conversations_count: 150
          resolved_conversations_count: 120
          avg_resolution_time: 3600
          avg_first_response_time: 300
          avg_reply_time: 600
        - id: 2
          conversations_count: 75
          resolved_conversations_count: 60
          avg_resolution_time: 1800
          avg_first_response_time: 180
          avg_reply_time: 420
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by visiting the profile page or via rails
        console. Provides access to  endpoints based on the user permissions
        levels. This token can be saved by an external system when user is
        created via API, to perform activities on behalf of the user.

````